## ncsa.hdf.hdf5lib.exceptions
Class HDF5AttributeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              ncsa.hdf.hdf5lib.exceptions.HDF5Exception
                  ncsa.hdf.hdf5lib.exceptions.HDF5LibraryException
                      ncsa.hdf.hdf5lib.exceptions.HDF5AttributeException

All Implemented Interfaces:
  Serializable

public class HDF5AttributeException
extends HDF5LibraryException

The class HDF5LibraryException returns errors raised by the HDF5 library.

This sub-class represents HDF-5 major error code H5E_ATTR

See Also:
  Serialized Form

Field Summary

Fields inherited from class ncsa.hdf.hdf5lib.exceptions.HDF5Exception
`detailMessage`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`HDF5AttributeException()` Constructs an `HDF5AttributeException` with no specified detail message.
`HDF5AttributeException(String s)` Constructs an `HDF5AttributeException` with the specified detail message.

Methods inherited from class ncsa.hdf.hdf5lib.exceptions.HDF5LibraryException
`getMajorErrorNumber, getMinorError, getMinorErrorNumber, printStackTrace, printStackTrace`

Methods inherited from class ncsa.hdf.hdf5lib.exceptions.HDF5Exception
`getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HDF5AttributeException

    public HDF5AttributeException()

  Constructs an `HDF5AttributeException` with no specified detail message.

### HDF5AttributeException

    public HDF5AttributeException(String s)

  Constructs an `HDF5AttributeException` with the specified detail message.

Parameters:
  `s` - the detail message.